//
//  XTHtmlTagHr.m
//  TadsTerp
//
//  Created by Rune Berg on 22/05/14.
//  Copyright (c) 2014 Rune Berg. All rights reserved.
//

#import "XTHtmlTagHr.h"
#import "XTBaseTextHandler.h"


@implementation XTHtmlTagHr

+ (NSString *)name
{
	return @"hr";
}

+ (BOOL)standalone
{
	return YES;
}

- (BOOL)blockLevel
{
	return YES;
}

- (void)format:(NSObject<XTOutputFormatterProtocol> *)formatter
   textHandler:(XTBaseTextHandler *)textHandler
{
	NSArray *formattedElements = [formatter handleHtmlTagHr:self];
	[textHandler receiveFormattedElements:formattedElements];
}

@end
